View Issue Details

IDProjectCategoryView StatusLast Update
0001966SOGoBackend Mailpublic2012-09-04 15:07
Reportersteinbeck Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.18 
Fixed in Version1.3.18a 
Summary0001966: addressed persons not displayed after sending
Description

after update from 1.3.16 to 1.3.18 the field " To". is emty but the mail was send
a recipient in "Cc:" is displayed.

TagsNo tags attached.

Relationships

has duplicate 0001973 closed Recipient is not visible 

Activities

steinbeck

steinbeck

2012-08-31 13:08

reporter   ~0004406

after testing more I found:
If I write the adress in short form like <name@post.de> the field "To:" is emty, if I write the adress in form like "Name"<name@post.de> it's ok. The problem is not when writing the name with quotas in addition to the adress.

wimmer

wimmer

2012-09-03 06:41

reporter   ~0004415

Yes, it is the same on my server, I can confirm this bug.

buzzdee

buzzdee

2012-09-03 12:09

reporter   ~0004416

I can confirm this bug, and also it affects opengroupware too. so seems to be in SOPE. For the reference to the bug report, here is what I wrote to the m/l:

since upgrading to SOPE/SOGo 1.3.18, I have problems sending mails to
gap-dev-discuss@nongnu.org, and as I just recognized, to users@sogo.nu too.

When I just create a new mail, enter the recipient address into the to field,
the e-mail address
automatically changes to <gap-dev-discuss@nongnu.org>

Then I enter subject and body, and send it. However, in the Sent folder, the
mail does not have a To: field
it empty, when I view the message source via SOGo web interface:

User-Agent: SOGoMail 1.3.18
X-Forward: 127.0.0.1
MIME-Version: 1.0
from: "Sebastian Reitenbach" <sebastia@l00-bugdead-prods.de>
subject: Re: [Gap-dev-discuss] Stop GNUMail from segfaulting on Quit
message-id: <7a24-5044ab00-1-6b8b4580@178141892>
to:
content-type: text/plain; charset="utf-8"
date: Mon, 03 Sep 2012 15:05:32 +0200
content-length: 1909
content-transfer-encoding: 7bit

When I reply to a message, then the e-mail address is without the <> in the To:
field.
Sending this message out, There is a To: field in the mail header, but the last
two characters are stripped.
User-Agent: SOGoMail 1.3.18
X-Forward: 127.0.0.1
MIME-Version: 1.0
from: "Sebastian Reitenbach" <sebastia@l00-bugdead-prods.de>
subject: Re: [Gap-dev-discuss] Stop GNUMail from segfaulting on Quit
message-id: <123d-5044a280-27-6b8b4580@109792238>
to: gap-dev-discuss@nongnu.o
content-type: text/plain; charset="utf-8"
date: Mon, 03 Sep 2012 14:29:04 +0200
in-reply-to: <50449DE7.7060409@libero.it>
content-length: 1955
content-transfer-encoding: 7bit

The envelope seems to get created well, see from the SOGo log files using SMTP
mailing mechanism:

2012-09-03 14:39:50.352 sogod[32731] WARNING(-[NSNull(misc) length]): called
NSNull -length (returns 0) !!!
C: connect to <0x0x20a3fe148[NGInternetSocketAddress]: host=127.0.0.1
not-filled>
S: <SMTP-Reply: code=220 line='halloele ich bin der mailer (:'>
C: EHLO localhost
S: <SMTP-Reply: code=250 line='DSN'>
S: pipelining extension supported.
S: size extension supported.
C: MAIL FROM:<sebastia@l00-bugdead-prods.de>
C: RCPT TO:<gap-dev-discuss@nongnu.org>
C: DATA
S: <SMTP-Reply: code=354 line='End data with <CR><LF>.<CR><LF>'>
C: data(2306 bytes) ..
S: <SMTP-Reply: code=250 line='2.0.0 Ok: queued as 7B9BD7006DA'>
C: QUIT
S: <SMTP-Reply: code=221 line='2.0.0 Bye'>

It doesn't matter if I switch to using sendmail mailing mechanism. In my mail
log, I see the mail going out,
but with the broken or missing To field.

The same problem is in OpenGroupware too. Sending a mail to this e-mail address,
it only sends to gap-dev-discuss@nongnu.o
instead of using the full address in the To field. I can send to other addresses
and lists successfully, this is
the only address where I recognized this strange problem.

ludovic

ludovic

2012-09-04 08:14

administrator   ~0004419

Out of curiosity, can you try to revert the patch in 0001340 ?

ludovic

ludovic

2012-09-04 08:37

administrator   ~0004421

Try this patch instead:

============================================================
--- sope-mime/NGMail/NGMailAddressParser.m 3f320b905f3448cface82afb633bfae35274b58a
+++ sope-mime/NGMail/NGMailAddressParser.m e2081f3ddb1cf2d535e30fa55922e9ffb942cf95
@@ -373,6 +373,7 @@ static inline id parseDomainLiteral(NGMa
NSMutableString* _addr = [NSMutableString stringWithString: _string];
[_addr replaceString: @"'" withString: @""];
[_addr replaceString: @"\"" withString: @""];

  • [_addr replaceString: @"\" withString: @""];
    NSString addresses = (NSString )_addr;

    // Init
    @@ -430,7 +431,7 @@ static inline id parseDomainLiteral(NGMa
    }
    else
    {

  • mailAdr = [[addresses substringWithRange: NSMakeRange(lastPos, i-lastPos)]
  • mailAdr = [[addresses substringWithRange: NSMakeRange(lastPos, i-lastPos+1)]
    stringByTrimmingCharactersInSet: [NSCharacterSet whitespaceAndNewlineCharacterSet]];
    }
buzzdee

buzzdee

2012-09-04 09:38

reporter   ~0004425

OK, just sent a test mail with the patch to users@sogo.nu, just having

users@sogo.nu,

also sent to: <gap-dev-discuss@nongnu.org>

both seem to work!

Sebastian

ludovic

ludovic

2012-09-04 10:40

administrator   ~0004428

Fixed - http://mtn.inverse.ca/revision/diff/a548133128c8f057cf55481568691064bdebd5f8/with/2f23e55e9d7b67297faba428abc1e017f8ec6072

Will be part of v1.3.18a.

Issue History

Date Modified Username Field Change
2012-08-31 10:16 steinbeck New Issue
2012-08-31 13:08 steinbeck Note Added: 0004406
2012-09-03 06:41 wimmer Note Added: 0004415
2012-09-03 09:49 Christian Mack Relationship added has duplicate 0001973
2012-09-03 12:09 buzzdee Note Added: 0004416
2012-09-04 08:14 ludovic Note Added: 0004419
2012-09-04 08:37 ludovic Note Added: 0004421
2012-09-04 09:38 buzzdee Note Added: 0004425
2012-09-04 10:40 ludovic Status new => resolved
2012-09-04 10:40 ludovic Resolution open => fixed
2012-09-04 10:40 ludovic Assigned To => ludovic
2012-09-04 10:40 ludovic Note Added: 0004428
2012-09-04 10:40 ludovic Status resolved => closed
2012-09-04 15:07 francis Fixed in Version => 1.3.18a